Summary: A X front-end for the Ghostscript PostScript(TM) interpreter.
Name: gv
Version: 3.5.8
Release: 27.PU_IAS.1
Copyright: GPL
Group: Applications/Publishing
Requires: ghostscript
Source0: ftp://thep.physik.uni-mainz.de/pub/gv/unix/gv-3.5.8.tar.gz
Patch0: gv-3.5.8-config.patch
Patch1: gv-3.5.8-alias.patch
Patch2: gv-quote.patch
Patch3: gv-3.5.8-buffer.patch
Patch4: gv-3.5.8-argvfix.patch
Patch5: gv-3.5.8-emptyfile.patch
Url: http://wwwthep.physik.uni-mainz.de/~plass/gv/
Obsoletes: ghostview
BuildPrereq: Xaw3d-devel
BuildRoot: /var/tmp/gv-root

%description
Gv is a user interface for the Ghostscript PostScript(TM) interpreter.
Gv can display PostScript and PDF documents on an X Window System.

Install the gv package if you'd like to view PostScript and PDF
documents on your system.  You'll also need to have the ghostscript
package and X installed.

%prep
%setup -q
%patch0 -p1 -b .config
%patch1 -p1 -b .alias
%patch2 -p1 -b .quote
%patch3 -p1 -b .buffer
%patch4 -p1 -b .argvfix
%patch5 -p1 -b .emptyfile

%build
xmkmf
make Makefiles
ln -s ../doc/gv.man source
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications

make DESTDIR=$RPM_BUILD_ROOT install install.man
gunzip doc/*gz
cat > $RPM_BUILD_ROOT%{_datadir}/applications/gv.desktop <<EOF
[Desktop Entry]
Name=Ghostview
Type=Application
Icon=postscript-viewer.png
Exec=gv
Categories=X-Red-Hat-Extra;Application;Graphics;
EOF

ln -sf gv $RPM_BUILD_ROOT/usr/X11R6/bin/ghostview


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README CHANGES COPYING doc/*.html doc/*doc doc/*txt
/usr/X11R6/bin/gv
/usr/X11R6/lib/X11/gv
/usr/X11R6/lib/X11/app-defaults/GV
/usr/X11R6/man/man1/gv.*
%{_datadir}/applications/gv.desktop
/usr/X11R6/bin/ghostview

%changelog
* Fri May 14 2004 Dan Williams <dcbw@redhat.com> 3.5.8-27
- display empty page when input file has size 0 (#100538)

* Fri May 14 2004 Dan Williams <dcbw@redhat.com> 3.5.8-26
- fix argv array size (#80672)

* Tue May  4 2004 Bill Nottingham <notting@redhat.com> 3.5.8-25
- fix desktop file (#120190)

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Thu Dec 12 2002 Tim Powers <timp@redhat.com> 3.5.8-21
- rebuild on all arches

* Tue Nov 19 2002 Bill Nottingham <notting@redhat.com> 3.5.8-20
- rebuild

* Tue Sep 24 2002 Bill Nottingham <notting@redhat.com>
- fix handling of certain postscript/pdf headers
- use mkstemp

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Wed Jun 12 2002 Bill Nottingham <notting@redhat.com>
- remove anti-aliasing change; it causes problems

* Thu May 23 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Thu Feb 21 2002 Bill Nottingham <notting@redhat.com>
- rebuild

* Fri Jan 25 2002 Bill Nottingham <notting@redhat.com>
- fix anti-aliasing (#58686)

* Fri Jul 13 2001 Bill Nottingham <notting@redhat.com>
- fix some build issues (#48983, #48984)

* Thu Jul 13 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Fri Jun  9 2000 Bill Nottingham <notting@redhat.com>
- add filename quoting patch from debian
- rebuild in new build environment

* Mon May  8 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- rebuild with new libXaw3d

* Mon Feb 07 2000 Preston Brown <pbrown@redhat.com>
- wmconfig -> desktop

* Thu Feb  3 2000 Bill Nottingham <notting@redhat.com>
- handle compressed man pages

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 7)

* Mon Jan 23 1999 Michael Maher <mike@redhat.com>
- fixed bug #272, changed group

* Thu Dec 17 1998 Michael Maher <mike@redhat.com>
- built pacakge for 6.0

* Sat Aug 15 1998 Jeff Johnson <jbj@redhat.com>
- build root

* Fri May 08 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Fri Apr 10 1998 Cristian Gafton <gafton@redhat.com>
- Manhattan build

* Thu Nov 06 1997 Cristian Gafton <gafton@redhat.com>
- we are installin a symlink to ghostview

* Wed Oct 21 1997 Cristian Gafton <gafton@redhat.com>
- updated to 3.5.8

* Thu Jul 17 1997 Erik Troan <ewt@redhat.com>
- built against glibc

* Tue Apr 15 1997 Erik Troan <ewt@redhat.com>
- added ghostscript requirement, added errlist patch for glibc.
